Core - Task # 55543

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have

Author: Benjamin Mack Category: Backend User Interface
Created: 2014-02-01 Assigned To: Benjamin Mack
Updated: 2014-02-02 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Update RequiredS to 2.10

Description

Replace the existing RequireJS code
with the latest version.

Releases: 6.2

Associated revisions

Revision 5f70cc9b - 2014-02-01 16:15 - Benjamin Mack

[TASK] Update RequireJS to 2.10

Replace the existing RequireJS code

with the latest version, which is backwards-

compatible and fixes some requireJS bugs.

See http://requirejs.org/docs/download.html#releasenotes

Releases: 6.2

Resolves: #55543

Change-Id: 18ef64858b762a93db0c032509f100235424c2d9a
Reviewed-on: https://review.typo3.org/27224

Reviewed-by: Andreas Wolf
Tested-by: Andreas Wolf
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-02-01 11:03 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27224

#2 - 2014-02-01 16:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
http://requirejs.org/docs/download.html#releasenotes
https://review.typo3.org/27224
https://review.typo3.org/27224

Applied in changeset commit:5f70cc9be4b053e6d7ae01c3b549d7370d9a1d7c.

#3 - 2014-02-02 11:22 - Daniel Siepmann
- Parent task set to #55575
